Subject: Re: [bug#41260] [PATCH 1/1] guix package: Support multiple profiles with '--list-installed'.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 22 May 2020 22:31:22 +0200

Hi,

zimoun <[email-masked]> skribis:

> BTW, I added a 'delete-duplicates' on profiles.  And I was tempted to
> also add 'sort' to always process in the same order.  And personally,
> I prefer the alphanumerical order than the order of installation
> because it is more reliable and easier to find what I am looking for
> -- otherwise I always do the extra step of pipe: |cut -f1| xargs echo|
> sort which is "ugly".  The order of installation seems redundant with
> --list-generation.  WDYT?

I’m not sure about ‘sort’ because the order (unfortunately) does make a
difference when there are file-level collisions.  If we were starting
today, we could forcefully sort things, but I’m tempted to think that
it’d break someone’s workflow if we did it now¹.

Ludo’.

¹ Obligatory reference: <https://xkcd.com/1172/>.